%define upstream_name    Catalyst-Controller-SOAP
%define upstream_version 1.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Helper controller for SOAP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(XML::Compile::SOAP)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::Compile::WSDL11)
BuildArch: noarch
# (tv) Those are not autodetected due to "{ package foo::bar" usage:
Provides: perl(Catalyst::Action::SOAP)
Provides: perl(Catalyst::Controller::SOAP)

%description
This is the superclass used by the Document and the RPC actions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.json README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.250.0-6.mga8
+ Revision: 1493010
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.250.0-5.mga7
+ Revision: 1265944
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.250.0-4.mga6
+ Revision: 1022854
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 1.250.0-3.mga6
+ Revision: 951358
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 tv <tv> 1.250.0-2.mga5
+ Revision: 806258
- add explicit provides

* Mon Dec 22 2014 buchan <buchan> 1.250.0-1.mga5
+ Revision: 804912
- BR XML::Compile::WSDL11
- imported package perl-Catalyst-Controller-SOAP


* Mon Dec 22 2014 Buchan Milne <buchan> 1.25-1mga
- initial mageia release
